
{% macro render(widget, options={}) %}

      <!-- <script>console.log('RENDER', {{ widget | json }}, {{ options | json}});</script> -->

     

     {% set size = options.size or widget.size or 50 %}
     {% set position = options.position or widget.position or '' %}
     {% set positionX = options['position-x'] or widget['position-x'] %}
     {% set positionY = options['position-y'] or widget['position-y'] %}
     <!-- {% set headerImage = options.image.items[0] or widget.image %} -->
     {% set headerImage = widget.image %}

     <!-- <script>console.log('--- size', {{ size | json }});</script> -->
     <!-- <script>console.log('--- position', {{ position | json }});</script> -->
     <!-- <script>console.log('--- positionX', {{ positionX | json }});</script> -->
     <!-- <script>console.log('--- positionY', {{ positionY | json }});</script> -->

     <img class="header-image2 
          {% if size  %} custom-size size-{{ size }}{% endif %}
          {% if position  %}{{ position }}{% endif %}
          " 
          style="
          {% if (position == '' or position == null) %} right: calc(100vw - {{ positionX | int }}vw); left: inherit; {% endif %}
          {% if (position == '' or position == null) %} top: {{ positionY | int }}vw; bottom: inherit; {% endif %}
          "
          src="{{ apos.attachments.url( apos.images.first(headerImage) ) }}"/>

{% endmacro %}

